Announcement

Collapse
No announcement yet.

How to Install dump1090-mutability_1.15~dev on RPi

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Oblivian
    replied
    That's the software or your language settings not recognizing ampersand

    &

    after upgrades

    Leave a comment:


  • sibaar
    replied
    abcd567

    Code:
    (d) Install data feeders FR24, Flightaware, & Planefinder (Steps 11, 12, & 13).
    
    You can create as many rings as you want by adding elevations (in meters) at the end of URL given in the wget command above after "&alts=", separated by commas.
    
    http://<ip address of your RPi on your LAN>/dump1090/gmap.html
    
    (A) RPi 2 & 3 with Raspbian STRETCH

    Referring to these "amp" references on the first tutorial page. There's also an amp;amp reference in the json sudo wget command


    I ran the purge and re-installation command you suggested, it didn't change anything. systemctl still reports a failure to start.

    Leave a comment:


  • abcd567
    replied
    Originally posted by sibaar View Post

    You mention "amp" a few times. Not sure what it is.
    Where did I mention "amp"?
    Please give my full sentence or full command. Just saying "amp" does not give any clue.


    Originally posted by sibaar View Post
    I do have lighttdp installed however it won't start. Returns "failed to start lighttdp daemon" and "exited code."
    Seems you got a corrupted install of lighttpd. Purge it, then reinstall

    sudo apt purge lighttpd

    sudo apt install lighttpd


    .

    Leave a comment:


  • sibaar
    replied
    Originally posted by abcd567 View Post
    (1) What do you mean by "amp command"?

    (2) A web server is required to display map. By default dump1090 requires lighttpd as web server. It is installed as dependency of dump1090. May be you did not install it. The output of following command will show if you have it installed:

    apt policy lighttpd


    If lighttpd is not installed, please install it by following command:

    sudo apt install lighttpd


    .
    You mention "amp" a few times. Not sure what it is.

    I do have lighttdp installed however it won't start. Returns "failed to start lighttdp daemon" and "exited code."

    Leave a comment:


  • sibaar
    replied
    I'm also getting enable mod errors from lighttdp stating that "dump1090-mutability" is not recognize. Can't start lighttdp either. Some other forums suggested installing gamin, which didn't work either.

    Leave a comment:


  • abcd567
    replied
    (1) What do you mean by "amp command"?

    (2) A web server is required to display map. By default dump1090 requires lighttpd as web server. It is installed as dependency of dump1090. May be you did not install it. The output of following command will show if you have it installed:

    apt policy lighttpd


    If lighttpd is not installed, please install it by following command:

    sudo apt install lighttpd


    .
    Last edited by abcd567; 2020-07-21, 01:09.

    Leave a comment:


  • sibaar
    replied
    What is this amp command? I get 404 error when I try to access pi/dump1090. Does it require a webserver like nginx or apache2 installed?

    Leave a comment:


  • abcd567
    replied
    Graeme2812:

    The DVBT/dump1090 do NOT display absolute value of signal in dBm (dB miliwatt). They provide relative signal strength on a scale of 0 to -50 dBFs, 0 being the strength of strongest signal recieved. Hence a signal with an RSSI of -3 dBFs is stronger than a signal with an RSSI of -10 dBFs.

    Leave a comment:


  • Graeme2812
    replied
    I've installed the RSSI display into gmap.html aircraft list, however whenever aircraft are listed it only shows RSSI and not the actual signal. Any ideas?

    I'm running v1.15 dump.

    Leave a comment:


  • abcd567
    replied
    Scroggie
    No, I never came across a scroll bar in drop-down menu.
    Try to clear browser cache (Ctrl+Shift+Delete), then reload browser (Ctrl+F5)

    Leave a comment:


  • Scroggie
    replied
    abcd567
    Just done a full re-install and it has all gone well but I've ended up with a scroll bar next to the gain setting on the map.
    Functionally it makes no difference and I could just live with it but I don't know how I've ended up getting it.
    I could simply copy a gmap.html from another pi which is correct but I just wondered if you had come across this before.

    Leave a comment:


  • wii747
    replied
    Thank you for this brilliant guide, Got my Pi up and running in 2 hours providing data to FR24, Flightaware & Planefinder. Brillant work all of you :-)

    Leave a comment:


  • abcd567
    replied
    Originally posted by arahata View Post

    sudo: journalctrl: command not found
    Sorry, there was a typo in the command I posted. It had an ectra r. The correct spelling is journalctl, and not journalctrl.

    Leave a comment:


  • abcd567
    replied
    arahata:

    I have posted this "howto" in flightaware forum. You can use it.

    For Beginners - How-to Remove Unused Site from Your Account

    Leave a comment:


  • arahata
    replied
    Originally posted by wiedehopf View Post
    Better use this command, the last 20 lines or so are most often sufficient to figure out the issue.

    sudo journalctl --no-pager -u piaware

    (ctrl is typo, piaware needs to come after the u, so -eu if anything, but i prefer --no-pager to -e)

    Thank you for your quick response. Running the command with parameters in your post, this is returned:

    pi@raspberrypi:~ $ sudo journalctl --no-pager -u piaware

    -- Logs begin at Wed 2020-04-08 04:09:05 BST, end at Wed 2020-04-08 04:17:28 BST. --

    ...

    Apr 08 04:09:10 raspberrypi piaware[601]: ************************************************** **

    Apr 08 04:09:10 raspberrypi piaware[601]: piaware version 3.8.1 is running, process ID 601

    ...

    Apr 08 04:09:17 raspberrypi piaware[601]: piaware received a message from dump1090-mutabi!

    Apr 08 04:09:17 raspberrypi piaware[601]: Connecting to FlightAware adept server at piaware.flightaware.com/1200

    Apr 08 04:09:17 raspberrypi piaware[601]: Connection to adept server at piaware.flightaware.com/1200 failed: couldn't open socket: Temporary failure in name resolution

    Apr 08 04:09:17 raspberrypi piaware[601]: reconnecting in 4 seconds...

    Apr 08 04:09:21 raspberrypi piaware[601]: Connecting to FlightAware adept server at 70.42.6.224/1200

    Apr 08 04:09:21 raspberrypi piaware[601]: Connection with adept server at 70.42.6.224/1200 established

    Apr 08 04:09:21 raspberrypi piaware[601]: TLS handshake with adept server at 70.42.6.224/1200 completed

    Apr 08 04:09:21 raspberrypi piaware[601]: FlightAware server certificate validated

    Apr 08 04:09:21 raspberrypi piaware[601]: encrypted session established with FlightAware

    Apr 08 04:09:21 raspberrypi sudo[766]: piaware : TTY=unknown ; PWD=/ ; USER=root ; COMMAND=/bin/netstat --program --tcp --wide --all --numeric

    Apr 08 04:09:21 raspberrypi sudo[766]: pam_unix(sudo:session): session opened for user root by (uid=0)

    Apr 08 04:09:21 raspberrypi sudo[766]: pam_unix(sudo:session): session closed for user root

    Apr 08 04:09:22 raspberrypi piaware[601]: logged in to FlightAware as user xxxxxxx

    Apr 08 04:09:22 raspberrypi piaware[601]: my feeder ID is xxxxxxxxxxxxxxxx

    Apr 08 04:09:22 raspberrypi piaware[601]: site statistics URL: https://flightaware.com/adsb/stats/user/xxxxxxxxxxx

    Apr 08 04:09:45 raspberrypi piaware[601]: 8 msgs recv'd from dump1090-mutabi; 6 msgs sent to FlightAware

    Apr 08 04:09:50 raspberrypi piaware[601]: piaware has successfully sent several msgs to FlightAware!

    Apr 08 04:14:45 raspberrypi piaware[601]: 17 msgs recv'd from dump1090-mutabi (9 in last 5m); 15 msgs sent to FlightAware


    I do apologize if I missed anything, but now that I'm checking my FlightAware account by browsing the link I see for the first time from above log (in green), it seems all is working fine!

    I noticed it seems there are two sites associated with my FA account, the one that was not (and is still not) working is the one shown by default on my account. Is it something I should do to delete that site from my RBPi?

    Thank you!

    Leave a comment:

Working...
X